diff lib-src/tmdecode @ 371:cc15677e0335 r21-2b1

Import from CVS: tag r21-2b1
author cvs
date Mon, 13 Aug 2007 11:03:08 +0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib-src/tmdecode	Mon Aug 13 11:03:08 2007 +0200
@@ -0,0 +1,59 @@
+#!/bin/sh -
+#
+# $Id: tmdecode,v 1.4 1997/01/30 02:22:30 steve Exp $
+#
+# Copyright 1994, 1995, 1996 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with GNU Emacs; see the file COPYING.  If not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+PATH=${PATH:-/usr/bin:/bin}:`dirname $0 2>/dev/null`; export PATH
+
+trap 'rm -f $2' 0 1 2 3 13 15
+
+case "$3" in
+/dev/stdout)
+	OUTPUT=
+	;;
+*)
+	OUTPUT='> $3'
+	;;
+esac
+
+case "$1" in
+""|"7bit"|"8bit"|"binary")
+	eval "cat $2 $OUTPUT"
+	;;
+"base64")
+	#eval "decode-b < $2 $OUTPUT"
+	eval "mmencode -u $2 $OUTPUT"
+	;;
+"quoted-printable")
+	eval "mmencode -q -u $2 $OUTPUT"
+	;;
+"x-uue"|"x-uuencode")
+	(cd $TM_TMP_DIR ; uudecode $2)
+	;;
+"x-gzip64")
+	#eval "decode-b < $2 | gzip -cd $OUTPUT"
+	eval "mmencode -u $2 | gzip -cd $OUTPUT"
+	;;
+*)
+	echo "unknown encoding"
+	exit -1
+	;;
+esac
+
+# echo "$2 was removed."